/****************************************************************************
  FILE: JLExamp.java, TomaszMajor, 28Oct98
  PURPOSE: example of Tango application (isMaster, getUserName)
****************************************************************************/


import webwisdom.tango.*;


public class JLExamp
{

    TAgent tango=null;


    public JLExamp(String[] args)
    {
      try
      {
	tango=new TAgent(new TLAgentApplication(args));
      }
      catch(TangoException e)
      {
	System.err.println("cannot register: "+e);
      }

      if(tango!=null)
	System.out.println("isMaster="+tango.isMaster()+
			   ",userName="+tango.getUserName());
      /*For sending private data use tango.send(byte[]).
	For receiving implement TDataListener interface
	and register it with tango.addTDataListener(TDataListener).
        For more info consult:
	http://trurl.npac.syr.edu/tomm/deneb/applets/jExamp/api.html
      */
    }


    public static void main(String[] args)
    {
      new JLExamp(args);
    }

}

